// Copyright 1999-2017. Parallels IP Holdings GmbH. All Rights Reserved.
function setTooltipElementPosition()
{
    var tooltipElement = $$('.nav-modules').first();
    var popupElement = $('tooltip-for-modules');
    if (tooltipElement && popupElement) {
        var headingElementHeight = popupElement.down('.heading-area').getHeight();
        var tooltipElementHeight = tooltipElement.getHeight();
        var tooltipElementWidth = tooltipElement.getWidth();
        var offsetLeft = document.viewport.getScrollOffsets().left;
        var offsetTop = document.viewport.getScrollOffsets().top;
        offsetTop = offsetTop + tooltipElement.cumulativeOffset().top - (headingElementHeight - tooltipElementHeight) / 2;
        offsetLeft = offsetLeft + tooltipElementWidth - 3;
        Element.setStyle(popupElement, {
            top: offsetTop + 'px',
            left: offsetLeft + 'px'
        });
    }
}
setTooltipElementPosition();
